{%- assign pages = site.posts | where: "layout", "page" -%}
{%- assign about = site.posts | find: 'layout', 'about' -%}

<header class="site-header">

  <div class="wrapper">

    {% if about.logo.path %}
      <a href="?#">
        <img
          class="h-54"
          src="{{ about.logo.path | thumbnail: nil, 54 | uri_escape }}"
          alt="{{ about.logo.description | escape }}" />
      </a>
    {% else %}
      <a class="site-title" rel="author" href="?#">{{ site.title | escape }}</a>
    {% endif %}

    {%- if pages.size > 0 -%}
      <nav class="site-nav">
        <input type="checkbox" id="nav-trigger" class="nav-trigger" />
        <label for="nav-trigger">
          <span class="menu-icon">
            <svg viewBox="0 0 18 15" width="18px" height="15px">
              <path d="M18,1.484c0,0.82-0.665,1.484-1.484,1.484H1.484C0.665,2.969,0,2.304,0,1.484l0,0C0,0.665,0.665,0,1.484,0 h15.032C17.335,0,18,0.665,18,1.484L18,1.484z M18,7.516C18,8.335,17.335,9,16.516,9H1.484C0.665,9,0,8.335,0,7.516l0,0 c0-0.82,0.665-1.484,1.484-1.484h15.032C17.335,6.031,18,6.696,18,7.516L18,7.516z M18,13.516C18,14.335,17.335,15,16.516,15H1.484 C0.665,15,0,14.335,0,13.516l0,0c0-0.82,0.665-1.483,1.484-1.483h15.032C17.335,12.031,18,12.695,18,13.516L18,13.516z"/>
            </svg>
          </span>
        </label>

        <div class="trigger">
          {%- for page in pages -%}
            <a class="page-link" href="{{ page.url | uri_escape }}">{{ page.title | escape }}</a>
          {%- endfor -%}
        </div>
      </nav>
    {%- endif -%}
  </div>
</header>
